commit:     f93a3234176a3c5d61978210fa60f004cad82086
Author:     Chris Kerr <chris.kerr <AT> mykolab <DOT> ch>
AuthorDate: Sun Jul 24 01:07:26 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jul 24 01:07:26 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f93a3234

virtual/opencl: add pocl to postinst

Closes: https://bugs.gentoo.org/860282
Signed-off-by: Sam James <sam <AT> gentoo.org>

 virtual/opencl/opencl-3-r2.ebuild | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/virtual/opencl/opencl-3-r2.ebuild 
b/virtual/opencl/opencl-3-r2.ebuild
new file mode 100644
index 000000000000..56a9bf8353ab
--- /dev/null
+++ b/virtual/opencl/opencl-3-r2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-build
+
+DESCRIPTION="Virtual for OpenCL API"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+RDEPEND="|| ( dev-libs/opencl-icd-loader[${MULTILIB_USEDEP}]
+       dev-libs/ocl-icd[khronos-headers,${MULTILIB_USEDEP}] )"
+
+pkg_postinst() {
+       elog
+       elog "In order to take advantage of OpenCL you will need a runtime for 
your hardware."
+       elog "Currently included in Gentoo are:"
+       elog
+       elog " * open:"
+       elog "    - dev-libs/intel-compute-runtime - integrated Intel GPUs from 
Broadwell onwards. 64-bit only;"
+       elog "    - dev-libs/pocl - to run OpenCL programs on your CPU, if you 
do not have a supported GPU;"
+       elog "    - dev-libs/rocm-opencl-runtime - AMD GPUs supported by the 
amdgpu kernel driver. 64-bit only;"
+       elog "    - media-libs/mesa[opencl] - some older AMD GPUs; see [1]. 
32-bit support;"
+       elog
+       elog " * proprietary:"
+       elog "    - dev-libs/amdgpu-pro-opencl - AMD Polaris GPUs. 32-bit 
support;"
+       elog "    - dev-util/intel-ocl-sdk - Intel CPUs (*not* GPUs). 64-bit 
only;"
+       elog "    - x11-drivers/nvidia-drivers[uvm] - Nvidia GPUs; specific 
package versions"
+       elog "      required for older devices [2]. 32-bit support."
+       elog
+       elog " [1] https://dri.freedesktop.org/wiki/GalliumCompute/";
+       elog " [2] https://www.nvidia.com/en-us/drivers/unix/legacy-gpu/";
+       elog
+}

Reply via email to